Bug 166183 - [PATCH] devel/arduino update to work with avr-libc 1.8.0
Summary: [PATCH] devel/arduino update to work with avr-libc 1.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-16 19:10 UTC by leres
Modified: 2012-04-17 19:40 UTC (History)
1 user (show)

See Also:


Attachments
patch-Makefile (261 bytes, text/plain)
2012-03-16 19:10 UTC, leres
no flags Details
file.diff (487 bytes, patch)
2012-03-16 19:10 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2012-03-16 19:10:01 UTC
	avr-libc 1.8.0 changed the way prog_char/PROGMEM works and
	this breaks hardware/arduino/cores/arduino/Print.cpp

Fix: Two patches are attached; patch-Makefile bumps PORTREVISION
	and patch-hardware-arduino-cores-arduino-Print.cpp should
	be placed in the files directory.
How-To-Repeat: 	/usr/local/arduino/hardware/arduino/cores/arduino/Print.cpp: In member function 'size_t Print::print(const __FlashStringHelper*)':
	/usr/local/arduino/hardware/arduino/cores/arduino/Print.cpp:44:9: error: 'prog_char' does not name a type
	/usr/local/arduino/hardware/arduino/cores/arduino/Print.cpp:47:23: error: 'p' was not declared in this scope
	gmake: *** [build-cli/Print.o] Error 1
Comment 1 Edwin Groothuis freebsd_committer 2012-03-16 19:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wblock

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 wblock 2012-03-17 01:33:47 UTC
Approved.

Reference: http://code.google.com/p/arduino/issues/detail?id=795
Comment 3 Warren Block freebsd_committer 2012-04-17 12:09:18 UTC
Responsible Changed
From-To: wblock->freebsd-ports-bugs

Back to the ports committers.
Comment 4 scheidell freebsd_committer 2012-04-17 12:21:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 5 dfilter freebsd_committer 2012-04-17 19:32:21 UTC
scheidell    2012-04-17 18:32:12 UTC

  FreeBSD ports repository

  Modified files:
    devel/arduino        Makefile 
  Added files:
    devel/arduino/files  
                         patch-hardware-arduino-cores-arduino-Print.cpp 
  Log:
  - Fix Print.cpp, broken since avr-libc 1.8.0 [1]
  - Pet portlint (add USE_LDCONFIG on shared lib) [2]
  - Bump PORTREVISION
  
  PR:             ports/166183 [1]
  Reviewed by:    scheidell (me) [2]
  Approved by:    wblock@ (maintainer)
  
  Revision  Changes    Path
  1.10      +3 -2      ports/devel/arduino/Makefile
  1.1       +12 -0     ports/devel/arduino/files/patch-hardware-arduino-cores-arduino-Print.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 scheidell freebsd_committer 2012-04-17 19:37:00 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!